<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */

define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');
$lng_profile = core::load_lng('profile');

/*
-----------------------------------------------------------------
Закрываем от неавторизованных юзеров
-----------------------------------------------------------------
*/
if (!$user_id) {
    require('../incfiles/head.php');
    echo functions::display_error($lng['access_guest_forbidden']);
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Получаем данные пользователя
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
    require('../incfiles/head.php');
    echo functions::display_error($lng['user_does_not_exist']);
	
    require('../incfiles/end.php');
    exit;
}

/*
-----------------------------------------------------------------
Переключаем режимы работы
-----------------------------------------------------------------
*/
$array = array(
    'activity'  => 'includes/profile',
    'ban'       => 'includes/profile',
    'bonus'       => 'includes/profile',	
    'edit'      => 'includes/profile',
	'events'    => 'includes/profile',
	'events_set'=> 'includes/profile',
    'images'    => 'includes/profile',
    'info'      => 'includes/profile',
    'ip'        => 'includes/profile',
    'guestbook' => 'includes/profile',
    'karma'     => 'includes/profile',
    'office'    => 'includes/profile',
	//'status' => 'includes/profile', 
    'password'  => 'includes/profile',
    'reset'     => 'includes/profile',
    'settings'  => 'includes/profile',
    'stat'      => 'includes/profile',
    'friends'   => 'includes/profile',
	'link_history' => 'includes/profile'
);
$path = !empty($array[$act]) ? $array[$act] . '/' : '';
if (array_key_exists($act, $array) && file_exists($path . $act . '.php')) {
    require_once($path . $act . '.php');
} else {
    /*
    -----------------------------------------------------------------
    Анкета пользователя
    -----------------------------------------------------------------
    */
    $headmod = 'profile,' . $user['id'];
    $textl = $lng['profile'] . ': ' . htmlspecialchars($user['name']);
    require('../incfiles/head.php');
    echo '<div class="phdr"><b>' . ($user['id'] != $user_id ? $lng_profile['user_profile'] : $lng_profile['my_profile']) . '</b></div>';

    // Меню анкеты
    $menu = array();
    if ($user['id'] == $user_id || $rights == 9 || ($rights == 7 && $rights > $user['rights'])) {
        $menu[] = '<a href="profile.php?act=edit&amp;user=' . $user['id'] . '">' . $lng['edit'] . '</a>';
    }
    if ($user['id'] != $user_id && $rights >= 7 && $rights > $user['rights']) {
        $menu[] = '<a href="' . $set['homeurl'] . '/' . $set['admp'] . '/index.php?act=usr_del&amp;id=' . $user['id'] . '">' . $lng['delete'] . '</a>';
    }
    if ($user['id'] != $user_id && $rights > $user['rights']) {
        $menu[] = '<a href="profile.php?act=ban&amp;mod=do&amp;user=' . $user['id'] . '">' . $lng['ban_do'] . '</a>';
    }
    if (!empty($menu)) {
        echo '<div class="topmenu">' . functions::display_menu($menu) . '</div>';
    }
	
	
if ($user['id'] == $user_id)
if (empty($user['yearofbirth']) || empty($user['imname']) || empty($user['live']))
{
echo "<div align='center' class='gmenu'>Sizda anketa to'ldirilmagan! Yanada ko'proq do'stlar topish uchun to'ldirishni maslahat beramiz!<br />";
echo "<b><a href='/users/profile.php?act=edit'>To'ldirish</a> | <a href='/users/profile.php?act=info'>Ko'rish</a></b></div>";
}
if (file_exists(('../files/users/photo/' . $user['id'] . '_small.jpg')))
{
 }
elseif ($user['id'] == $user_id)
{
echo "<div class='menu'>";
echo '<center><a href="'.$home.'/users/profile.php?act=images&amp;mod=up_photo&amp;user='.$user['id'].'">Rasm qo\'shish</a></center>';
echo "</div>";
}
	
	

    //Уведомление о дне рожденья
    if ($user['dayb'] == date('j', time()) && $user['monthb'] == date('n', time()) && $user['id']!=$user_id) {
        echo '<div class="gmenu">Bugun ushbu foydalanuvchining tug`ilgan kuni</div>';
    }

    // Информация о юзере
    $arg = array(
        'lastvisit' => 1,
        'iphist'    => 1,
        'header'    => '<b>ID:' . $user['id'] . '</b>'
    );

    if ($user['id'] != core::$user_id) {
        $arg['footer'] = '<span class="gray">' . core::$lng['where'] . ':</span> ' . functions::display_place($user['id'], $user['place']);
    }
$lng_gifts = core::load_lng('gifts');
	if ($user['id']!=$user_id) {
echo '<div style="float: right; margin-right: 5px; margin-top: 5px;"><a href="../mail/index.php?act=write&amp;id=' . $user['id'] . '"><img src="/images/sms.png" style="float: right;" alt="xabar" title="xabar"  width="32" height="32" /></a></div>';
}else{
echo'';
}

    echo '<div class="menu"><p>' . functions::display_user($user, $arg) . '</p></div>';
    // Если юзер ожидает подтверждения регистрации, выводим напоминание
    if ($rights >= 7 && !$user['preg'] && empty($user['regadm'])) {
        echo '<div class="rmenu">' . $lng_profile['awaiting_registration'] . '</div>';
		
    }
	//--STATUS
	/*$stat=mysql_fetch_assoc(mysql_query("select `id`, `name`, `text` from `cms_users_status` where `user_id`='$user[id]' order by `id` desc;"));
	if ($stat)
	    {
		if ($user['id']==$user_id)
		    {
			echo '
			<form action="profile.php?act=status&amp;user='.$user['id'].'&amp;mode=add" method="post">
			<input type="name" name="name" style="width:98%"/><input value="+" type="submit"/></form>
			';
			}
			echo '
	   		<div class="list1">&raquo; 
	 	   <a href="/users/profile.php?act=status&amp;user='.$user['id'].'&amp;mode=show&amp;show='.$stat['id'].'">'
	 	   .functions::checkout($stat['name']).'</a><br />'
		    .functions::checkout(mb_substr($stat['text'],0,50))
		    .'</div>';
		}*/
/////////STATUS boshi///////////

$bender_statuslari=mysql_result(mysql_query("SELECT COUNT(*) FROM `bender_status` WHERE `id_user`='$user[id]'"),0);
$s=mysql_query("SELECT * FROM `bender_status` WHERE `id_user` = '$user[id]' ORDER BY `time` DESC  LIMIT 1");
$sts_qiymati=mysql_result(mysql_query("SELECT COUNT(*) FROM `bender_status` where `id_user`=$user[id]"),0);


if ($sts_qiymati==0) {
if ($user['id'] == $user_id) {
echo '<div class="status_t"><form action="'.$home.'/status/?bender=status_saqlash" method="post">
			<input type="name" name="name" maxlength="150" size="18" class="anput"/><input value="    +    " type="submit"/></form>
			</div>';
}}

while ($sts = mysql_fetch_assoc($s)){
if ($user['id']==$user_id) {
echo '<div class="status_t"><form action="'.$home.'/status/?bender=status_saqlash" method="post">
			<input type="name" name="name" maxlength="150" size="18" class="anput"/><input value="    +    " type="submit"/></form>
			</div>';
			
echo '<div class="status">'.functions::smileys(bbcode::tags($sts['name'])).'<font style="font-size:11px; color:gray;">&#160;&#160;&#160;'.functions::display_date($sts['time']).'</font></div>';
} else {
echo '<div class="status">'.functions::smileys(bbcode::tags($sts['name'])).'<font style="font-size:11px; color:gray;">&#160;&#160;&#160;'.functions::display_date($sts['time']).'</font></div>';
}
require_once('closed.php');
$sts_izoh=mysql_num_rows(mysql_query("select * from bender_status_kom where type='status' and id_kogo='$sts[id]'"));
echo '<div class="status_p">
<a href="/status/?bender=izoh&amp;id_kim='.$user['id'].'&amp;id_sts='.$sts[id].'">
<img src="/images/status/fikr.png" /> '.$sts_izoh.'</a>';
$ajoyib_sts=mysql_query("SELECT * FROM `bender_status_klass` WHERE `type`='status' AND `zakogo`='$sts[id]' AND `kto`='$user_id' LIMIT 1");
$sts1=mysql_query("select * from bender_status where id='$sts[id]' limit 1");
$zor_sts=mysql_fetch_array($sts1);
if($user[id] != $user_id) {
if($user_id and mysql_num_rows($ajoyib_sts)==0 and $user_id!=$user['id']){
echo ' &bull;
<a href="/status/?bender=view&amp;id_kim='.$user['id'].'&amp;id_sts='.$sts[id].'">
<img src="/images/status/klass.png" />'.$zor_sts['ajoyib'].' </a> &bull; <a href="/status/?bender=klass&amp;id_kim='.$user['id'].'&amp;id_sts='.$sts[id].'">Klass!</a>';
}else{
$minus='1';
$ok_status=$zor_sts[ajoyib]-$minus;
echo ' &bull;
<a href="/status/?bender=view&amp;id_kim='.$user['id'].'&amp;id_sts='.$sts[id].'">
<img src="/images/status/klass.png" />Siz va '.$ok_status.'</a>';
}
}else{
echo ' &bull;
<a href="/status/?bender=view&amp;id_kim='.$user['id'].'&amp;id_sts='.$sts[id].'">
<img src="/images/status/klass.png" />'.$zor_sts['ajoyib'].' ta!</a>';
}
echo '</div>';
}
/////////STATUS oxiri///////////

    // Карма
    if ($set_karma['on']) {
        $karma = $user['karma_plus'] - $user['karma_minus'];
        if ($karma > 0) {
            $images = ($user['karma_minus'] ? ceil($user['karma_plus'] / $user['karma_minus']) : $user['karma_plus']) > 10 ? '2' : '1';
            echo '<div class="gmenu">';
        } else if ($karma < 0) {
            $images = ($user['karma_plus'] ? ceil($user['karma_minus'] / $user['karma_plus']) : $user['karma_minus']) > 10 ? '-2' : '-1';
            echo '<div class="rmenu">';
        } else {
            $images = 0;
            echo '<div class="menu">';
        }
        echo '<table  width="100%"><tr><td width="22" valign="top"><img src="' . $set['homeurl'] . '/images/k_' . $images . '.gif"/></td><td>' .
            '<b>' . $lng['karma'] . ' (' . $karma . ')</b>' .
            '<div class="sub">' .
            '<span class="green"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '&amp;type=1">' . $lng['vote_for'] . ' (' . $user['karma_plus'] . ')</a></span> | ' .
            '<span class="red"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '">' . $lng['vote_against'] . ' (' . $user['karma_minus'] . ')</a></span>';
        if ($user['id'] != $user_id) {
            if (!$datauser['karma_off'] && (!$user['rights'] || ($user['rights'] && !$set_karma['adm'])) && $user['ip'] != $datauser['ip']) {
                $sum = mysql_result(mysql_query("SELECT SUM(`points`) FROM `karma_users` WHERE `user_id` = '$user_id' AND `time` >= '" . $datauser['karma_time'] . "'"), 0);
                $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `user_id` = '$user_id' AND `karma_user` = '" . $user['id'] . "' AND `time` > '" . (time() - 86400) . "'"), 0);
                if (!$ban && $datauser['postforum'] >= $set_karma['forum'] && $datauser['total_on_site'] >= $set_karma['karma_time'] && ($set_karma['karma_points'] - $sum) > 0 && !$count) {
                    echo '<br /><a href="profile.php?act=karma&amp;mod=vote&amp;user=' . $user['id'] . '">' . $lng['vote'] . '</a>';
                }
            }
        } else {
            $total_karma = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `karma_user` = '$user_id' AND `time` > " . (time() - 86400)), 0);
            if ($total_karma > 0) {
                echo '<br /><a href="profile.php?act=karma&amp;mod=new">' . $lng['responses_new'] . '</a> (' . $total_karma . ')';
            }
        }
        echo '</div></td></tr></table></div>';
    }
	
	
 // MALUMOT
echo '<div class="phdr"><b>Ma\'lumotlar</b></div><div class="menu">';

echo 'ID raqami: <b>'.$user['id'].'</b><br/>';
// logini
echo 'Login: <b>'.$user['name_lat'].'</b><br/>';
// ismi
if (!empty($user['imname'])) {
echo 'Ismi: <b>'.$user['imname'].'</b><br/>';
}

// lavozimi

		if($user['id']==1)	{
	echo 'Lavozimi: <b>Sayt yaratuvchisi</b><br/>';
}
			elseif ($user['rights']) {
$rank = array (
1 => 'Guruh moderi',
2 => 'Suhbatxona moderi',
3 => 'Forum moderi',
4 => 'Yuklamalar moderi',
5 => 'Kutubxona moderi',
6 => 'Bosh moderator',
7 => 'Administrator',
9 => 'Supervisor'
);
echo 'Lavozimi: <b>' . $rank[$user['rights']] . '</b><br/>';
}
// sungi tashrif
if (time() > $user['lastdate'] + 900) {
$lastvisit = date("d.m.Y (H:i)", $user['lastdate']);
if (isset($lastvisit))
echo 'So\'nggi tashrif: <b>' . $lastvisit . '</b><br/>';
}
//yashash joyi
if (!empty($user['live'])) {
echo 'Yashash joyi: <b>'.$user['live'].'</b><br />';
}
// yoshi
if(!empty($user['yearofbirth'])){
function calc_age($d, $m, $y) {
$age = date('Y') - $y;
$_m = date('m');
if($_m < $m || ($_m == $m && date('d') < $d))
$age--;

return $age;
}
$user_age = calc_age($user['dayb'], $user['monthb'], $user['yearofbirth']);
echo 'Yoshi: <b>'.$user_age.' yosh</b><br/>';
}

// sovrinlari
$award = mysql_result(mysql_query("select count(*) from `award_users` where `id_user` = '".$user['id']."'"),0);
if ($award > 0){
$sovga =$award;
}

if (isset($sovga)){		echo 'Sovrunlari: <b>' . $sovga . '</b><br/>';}

// tangalari
//echo 'Tangalari: <b>' . $user['balans'] . '</b><br/>';
// qayerda
if ($user['id'] != core::$user_id) {
echo 'Hozirda: <b>' . functions::display_place($user['id'], $user['place']) . '</b><br/>';
}

 if ($user['vip'] == 1) {$viprating= 100;}
$rating = ($user['postforum'] + $user['postguest'] + $user['komm'] + $user['karma_plus'] + $viprating) / ($user['karma_minus'] + 100);
$sartarapkareyting= round($rating, 3);
// рейтинг
			echo '<span style="color:red"><b>Reyting:</b></span> <b><span style="color:black">' . $sartarapkareyting . '</span></b><br/>';
// баллы
echo '<b><span style="color:red">Balans:</span></b> <b><span style="color:blue"></span></b> <b>'.$user['balans'].'</b> <span style="color:red"><b></b></span></div>';
     
echo '<p align="center"><a href="profile.php?act=info&amp;user=' . $user['id'] . '"><b>To\'liq ma\'lumotlar &raquo;</b></a></p>';
		
		
//MALUMOTLAR END		
		
// Меню выбора
    $total_photo = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_album_files` WHERE `user_id` = '" . $user['id'] . "'"), 0);
    echo '' .
//        '<div class="menu"><p>&#160;&#187;&#160;' .  '<a href="profile.php?act=info&amp;user=' . $user['id'] . '">' . $lng['information'] . '</a></div>' .
        '<div class="menu"><p>&#160;&#187;&#160;' .  '<a href="profile.php?act=activity&amp;user=' . $user['id'] . '">' . $lng_profile['activity'] . '</a></div>' .
        '<div class="menu"><p>&#160;&#187;&#160;' .  '<a href="profile.php?act=stat&amp;user=' . $user['id'] . '">' . $lng['statistics'] . '</a></div>';
 echo   '<div class="menu">&#160;&#187;&#160;<a href="profile.php?act=guestbook&amp;user=' . $user['id'] . '">' . $lng['guestbook'] . '</a>&#160;(' . $user['comm_count'] . ')</div>' ;
    $bancount = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_ban_users` WHERE `user_id` = '" . $user['id'] . "'"), 0);
    if ($bancount) {
        echo '<div class="menu"><p>&#160;&#187;&#160;' .  '<a href="profile.php?act=ban&amp;user=' . $user['id'] . '">' . $lng['infringements'] . '</a> (' . $bancount . ')</div>';
    }

//gift sovga boshlanishi baza
$total_gifts = mysql_result(mysql_query("SELECT COUNT(*) FROM `users_gifts` WHERE `user_id`='{$user['id']}'"), 0);
//gift sovga tugashi baza
    $total_friends = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `user_id`='{$user['id']}' AND `type`='2' AND `friends`='1'"), 0);
    echo '<div class="menu"><img src="../images/anketa/status.png" alt="*"/> <a href="/status/statuslar.php?id=' . $user['id'] . '">Statuslar</a> ('.$bender_statuslari.')</div>';

	echo '' .
        '<div class="menu"><p><img src="../images/anketa/fotos.png" alt="*"/> ' . '<a href="album.php?act=list&amp;user=' . $user['id'] . '">' . $lng['photo_album'] . '</a>&#160;(' . $total_photo . ')</div>' .
        
		
		//'<div class="menu"><p><img src="../images/anketa/gost.png" alt="*"/> ' . '<a href="my_guests.php">' . $lng['guest'] . '</a>&#160;(' . $guest['r_ank'] . ')</div>' .
        		//'<div class="menu"><p><img src="../images/anketa/gost.png" alt="*"/> ' . '<a href="profile.php?act=guestbook&amp;user=' . $user['id'] . '">' . $lng['guestbook'] . '</a>&#160;(' . $user['comm_count'] . ')</div>' .
        //gift sovga boshlanishi
		'<div class="menu"><p><img src="../images/anketa/sovgalar.png" alt="*"/> <a href="/gifts/index.php?act=showall&amp;user=' . $user['id'] . '">' . $lng_gifts['showall'] . '</a>&#160;(' . $total_gifts . ')</div>' .
		//gift sovga tugashi

		'<div class="menu"><p><img src="../images/anketa/dust.png" alt="*"/> <a href="profile.php?act=friends&amp;user=' . $user['id'] . '">' . $lng_profile['friends'] . '</a>&#160;(' . $total_friends . ')</div>' .
		#'<div class="menu"><p>&#160;&#187;&#160;' . '<a href="anketa.php"> Profilni yopish</a></div>';
		
		'';
require 'guests.php';
    if ($user['id'] != $user_id) {
        echo '<div class="gmenu">';
		
		/*Original user menusini chiqarish
		
		    $total_photo = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_album_files` WHERE `user_id` = '" . $user['id'] . "'"), 0);
    echo '<div class="list2"><p>' .
        '<div>' . functions::image('contacts.png') . '<a href="profile.php?act=info&amp;user=' . $user['id'] . '">' . $lng['information'] . '</a></div>' .
        '<div>' . functions::image('activity.gif') . '<a href="profile.php?act=activity&amp;user=' . $user['id'] . '">' . $lng_profile['activity'] . '</a></div>' .
        '<div>' . functions::image('rate.gif') . '<a href="profile.php?act=stat&amp;user=' . $user['id'] . '">' . $lng['statistics'] . '</a></div>';
    $bancount = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_ban_users` WHERE `user_id` = '" . $user['id'] . "'"), 0);

    if ($bancount) {
        echo '<div><img src="../images/block.gif" width="16" height="16"/>&#160;<a href="profile.php?act=ban&amp;user=' . $user['id'] . '">' . $lng['infringements'] . '</a> (' . $bancount . ')</div>';
    }

    $total_friends = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `user_id`='{$user['id']}' AND `type`='2' AND `friends`='1'"), 0);
    echo '<br />' .
        '<div>' . functions::image('photo.gif') . '<a href="album.php?act=list&amp;user=' . $user['id'] . '">' . $lng['photo_album'] . '</a>&#160;(' . $total_photo . ')</div>' .
        '<div>' . functions::image('guestbook.gif') . '<a href="profile.php?act=guestbook&amp;user=' . $user['id'] . '">' . $lng['guestbook'] . '</a>&#160;(' . $user['comm_count'] . ')</div>' .
        '<div>' . functions::image('users.png') . '<a href="profile.php?act=friends&amp;user=' . $user['id'] . '">' . $lng_profile['friends'] . '</a>&#160;(' . $total_friends . ')</div>' .
        '</p></div>';
    if ($user['id'] != $user_id) {
        echo '<div class="menu"><p>';
		*/

        // Контакты
        if (!functions::is_ignor($user['id']) && functions::is_contact($user['id']) != 2) {
            if (!functions::is_friend($user['id'])) {
                $fr_in = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND `from_id`='$user_id' AND `user_id`='{$user['id']}'"), 0);
                $fr_out = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_contact` WHERE `type`='2' AND `user_id`='$user_id' AND `from_id`='{$user['id']}'"), 0);
       			if ($fr_in == 1) {
                    $friend = '<a class="underline" href="profile.php?act=friends&amp;do=ok&amp;id=' . $user['id'] . '">' . $lng_profile['confirm_friendship'] . '</a> | <a class="underline" href="profile.php?act=friends&amp;do=no&amp;id=' . $user['id'] . '">' . $lng_profile['decline_friendship'] . '</a>';
                } else if ($fr_out == 1) {
                    $friend = '<a class="underline" href="profile.php?act=friends&amp;do=cancel&amp;id=' . $user['id'] . '">' . $lng_profile['canceled_demand_friend'] . '</a>';
                } else {
                    $friend = '<a href="profile.php?act=friends&amp;do=add&amp;id=' . $user['id'] . '">' . $lng_profile['in_friend'] . '</a>';
                }
                } else {
                  $friend = '<a href="profile.php?act=friends&amp;do=delete&amp;id=' . $user['id'] . '">' . $lng_profile['remov_friend'] . '</a>';
                }
                echo '<p>&#160;&#187;&#160;' . $friend . '';
                }

        if (functions::is_contact($user['id']) != 2) {
            if (!functions::is_contact($user['id'])) {
                echo '<p>&#160;&#187;&#160;<a href="../mail/index.php?id=' . $user['id'] . '">' . $lng_profile['add_contacts'] . '</a>';
            } else {
				
                echo '<p>&#160;&#187;&#160;<a href="../mail/index.php?act=deluser&amp;id=' . $user['id'] . '">' . $lng_profile['delete_contacts'] . '</a>';
            }
        }

        if (functions::is_contact($user['id']) != 2) {
            echo '<p>&#160;&#187;&#160;<a href="../mail/index.php?act=ignor&amp;id=' . $user['id'] . '&amp;add">' . $lng_profile['add_ignor'] . '</a>';
        } else {
            echo '<p>&#160;&#187;&#160;<a href="../mail/index.php?act=ignor&amp;id=' . $user['id'] . '&amp;del">' . $lng_profile['delete_ignor'] . '</a>';
        }
		  echo      '<p> &#160;&#187;&#160;<a href="/gifts/index.php?user=' . $user['id'] . '">' . $lng_gifts['send'] . '</a>' ;
		

		
	echo'<p> &#160;&#187;&#160; <a href="perevod.php?user=' . $user['id'] . '">Ball o\'tkazish</a>';

	if ($rights >= 7) echo '<br/>&raquo; <a href="../award/panel.php?id=' . $user['id'] . '">Sovrin berish</a></div>';
 
        echo '</div>';	
		
			
        if (!functions::is_ignor($user['id']) && functions::is_contact($user['id']) != 2 && empty($ban['1']) && empty($ban['3'])) {
			 
			 echo '<div class="menu"><center><div class="post_item" style="padding-top: 5px; padding-bottom: 5px; "><a href="../mail/index.php?act=write&amp;id=' . $user['id'] . '" class="ssilka" style="display: block; max-width: 200px;">' . $lng['write'] . '</a></div></center></div>';
			

            
        //echo '<div class="menu"><p><form action="../mail/index.php?act=write&amp;id=' . $user['id'] . '" method="post"><input type="submit" value="' . $lng['write'] . '" style="margin-left: 18px"/></form></p>';
		}
		
        echo '</div>';
		
    }
	
	// Вывод медалей
    $rank1 = '<img src="/images/rank/1.gif" alt="*"/>';
    $rank2 = '<img src="/images/rank/2.gif" alt="*"/>'; 
    $rank3 = '<img src="/images/rank/3.gif" alt="*"/>';
    $rank4 = '<img src="/images/rank/4.gif" alt="*"/>';
    $rank6 = '<img src="/images/rank/6.gif" alt="*"/>';
    $rank7 = '<img src="/images/rank/7.gif" alt="*"/>';
    $rank8 = '<img src="/images/rank/8.gif" alt="*"/>';
    $rank9 = '<img src="/images/rank/9.png" alt="*"/>';
    $rank10 ='<img src="/images/rank/10.gif" alt="*"/>';
    
    
  
    
    if($user['postforum']>=0 && $user['postforum']<=0) 
    echo '<div class="menu"></div>'; 
    if($user['postforum']>=30 && $user['postforum']<=50) 
    echo '<div class="menu">Medal: '.$rank1.'</div>'; 
    if($user['postforum']>=51 && $user['postforum']<=80) 
    echo '<div class="menu">Medallari: '.$rank1.''.$rank2.'</div>'; 
    if($user['postforum']>=81 && $user['postforum']<=100) 
    echo '<div class="menu">Medallari: '.$rank1.''.$rank2.''.$rank3.'</div>'; 
    if($user['postforum']>=101 && $user['postforum']<=150) 
    echo '<div class="menu">Medallari: '.$rank1.''.$rank2.''.$rank3.''.$rank4.'</div>'; 
    if($user['postforum']>=151 && $user['postforum']<=200) 
    echo '<div class="menu">Medallari: '.$rank1.''.$rank2.''.$rank3.''.$rank4.''.$rank5.'</div>'; 
    if($user['postforum']>=201 && $user['postforum']<=300) 
    echo '<div class="menu">Medallari: '.$rank1.''.$rank2.''.$rank3.''.$rank4.''.$rank5.''.$rank6.'</div>'; 
    if($user['postforum']>=301 && $user['postforum']<=400) 
    echo '<div class="menu">Medallari: '.$rank1.''.$rank2.''.$rank3.''.$rank4.''.$rank5.''.$rank6.''.$rank7.'</div>'; 
    if($user['postforum']>=401 && $user['postforum']<=550) 
    echo '<div class="menu">Medallari: '.$rank1.''.$rank2.''.$rank3.''.$rank4.''.$rank5.''.$rank6.''.$rank7.''.$rank8.'</div>'; 
     if($user['postforum']>=551 && $user['postforum']<=700) 
    echo '<div class="menu">Medallari: '.$rank1.''.$rank2.''.$rank3.''.$rank4.''.$rank5.''.$rank6.''.$rank7.''.$rank8.''.$rank9.'</div>'; 
    if($user['postforum']>=701 && $user['postforum']<=1000) 
    echo '<div class="menu">Medallari: '.$rank1.''.$rank2.''.$rank3.''.$rank4.''.$rank5.''.$rank6.''.$rank7.''.$rank8.''.$rank9.'</div>'; 
     if($user['postforum']>=1001 && $user['postforum']<=5000) 
    echo '<div class="menu">Medallari: '.$rank1.''.$rank2.''.$rank3.''.$rank4.''.$rank5.''.$rank6.''.$rank7.''.$rank8.''.$rank9.''.$rank10.'</div>';

   //MEADALLER END	
	
	 // SOVRINLAR
if ($award) {
echo '<div class="phdr"><b>Sovrinlar</b></div><div class="menu">';
	$req = mysql_query("select `awards`.*,`award_users`.`id_who`,`award_users`.`time` as `givetime`, `users`.`name` as `nick` from `awards` left join `users` on `awards`.`user_id` = `users`.`id` left join `award_users` on `award_users`.`id_award` = `awards`.`id`  where `award_users`.`id_user` = '".$user['id']."'  order by `award_users`.`time` desc limit 5");
	while ($res = mysql_fetch_array($req)) {
echo '<img src="../award/img/' .functions::checkout($res['img']). '.jpg" alt="#" height="50"/> ';
	}
echo '<br/><a href="../award/index.php?id=' . $user['id'] . '">Barcha sovrinlari &raquo;&raquo;</a>';
echo '</div>';
}
	

	echo '<div class="rmenu"><table class="whp">Foydalanuvchilarni izlash<tr><td class="pr5"><form action="search.php" method="post">
<input class="finp whp fss" type="text" size="100" name="search" placeholder="foydalanuvchi ismini kiriting"/>
<td class="srcbc pls"><input type="submit" value="Izlash" name="submit" /></td></td></tr></table></form></div>';

    #echo '<div class="phdr"><a href="index.php">' . $lng['users'] . '</a></div>';
	} 




///////////////////////////////////
//(дe)aктивaция бoтa
if($rights==9)
{
   echo '<div class="menu"><img src="../images/settings.png" width="16" height="16"/>&#160;<a href="bot.php?id=' . $user['id'] . '">'.($user['bot']==1 ? 'OFF onlayn bot' : 'ON onlayn bot').'</a></div>';
}
/////////

require_once('../incfiles/end.php');